#include <iostream>
using namespace std;


int main()
{



int h, s;
cin>>h;
cin>>s;

int protok[s];

int j= 0, i = 0;

int vodopad[h][s];

for(i = 0; i<h;i++)
{
   
   for(j= 0 ; j<s; j++)
   {
       cin>>vodopad[i][j];

   }

}
for(j = 0; j<s;  j++)
{
    protok[j]=0;
}
for(i = 0;i<h; i++)
{
   for(j = 0;j<s;j++)
   {
       if(j==0)
       {
        if(vodopad[i][j]== 0)
        { 
           if(vodopad[i][j+1]==0)
           {
               protok[j]= 0;
           }
           else if(vodopad[i+1][j+1]==0)
           {
              protok[j]= protok[j]+1;
           } 
        }
       }
       else if(j!=(h-1) || j!=0)
       {
        if(vodopad[i][j] == 0)
        {
         if(vodopad[i+1][j-1]==0 && vodopad[i+1][j+1]!=1)
          {
            protok[j]=protok[j] + 1;

          }
          if(vodopad[i+1][j-1]==0 && vodopad[i+1][j+1]==0)
          {
            protok[j]=protok[j] + 2;

          }
          if(vodopad[i+1][j-1]!=0 && vodopad[i+1][j+1]==0)
          {
            protok[j]=protok[j] + 1;

          }
        }   
       }
       else
       {
        if(vodopad[i][j]==0)
        {
            protok[j]==0;
            protok[j-1]== protok[j]+1;
        } 
        else
        {
        protok[j]== protok[j]+1;
        }

       }
   }

}
for(j=0; j<s; j++)
{

cout<< protok[j]<<endl;

}

}